Subject: RE: [Isis-wg] draft-ietf-isis-wg-mib-05.txt

From: "Chapman, Ken" <[email-masked]>
Date: Tue, 20 Nov 2001 08:55:17 -0500

Jeff,
That is much clearer, thanks.  
I have one more little nit.
The term "instance" is overloaded in the SNMP world (e.g. row instance,
object instance), so it might be clearer (to people like me who understand
SNMP much better than IS-IS) if you qualified it with something like
"protocol instance".
I realize that it is made clear in the comment section just before the
table, but there has been a lot of "push" in the SNMP standards area to make
sure that the DESCRIPTION clauses contain complete and accurate description,
since the comments sections are not "tied" to any object and therefore are
not considered to be "normative".
Also, this may not be the only object that suffers from this problem; it
just happens to be the one I noticed. :^)
Thanks.
	Ken

> -----Original Message-----
> From: Jeff Parker [mailto:[email-masked]]
> Sent: Monday, November 19, 2001 6:25 PM
> To: Chapman, Ken
> Cc: [email-masked]'
> Subject: RE: [Isis-wg] draft-ietf-isis-wg-mib-05.txt
> 
> 
> 
> > RowSatus has no value named "off".
> > Do you mean "destroy" or do you mean "notInService" or do you 
> > mean both?
> > I suspect that both should return inconsistentValue.  
> > You really need to make sure you explain the exact expected 
> > behaviour for a varbind as complex as RowStatus.
> > 	Ken
> 
> > > RowStatus is something I didn't create.  See Dave Perkins book for
> > > a discussion of this.  Briefly it is used to disambiguate creation
> > > and deletion.  
> 
> Clearly RowStatus is something I didn't create -or- understand.  
> 
> I think you are right: an attempt to take an active entry 
> to destroy or notInService should generate inconsistentValue.
> 
>      isisManAreaAddrExistState OBJECT-TYPE
>          SYNTAX RowStatus
>          MAX-ACCESS read-create
>          STATUS current
>          DESCRIPTION
>              "The state of the isisManAreaAddrEntry. This object
>              follows the Row Status behavior. If the isisSysAdminState
>              for this instance is 'on', and an attempt is made to set
>              this object to the value 'destroy' or 'notInService' when
>              this is the only isisManAreaAddrEntry for this instance
>              in state 'active', then the set should return
> inconsistentValue."
> 
>          DEFVAL { active }
>      ::= { isisManAreaAddrEntry 2 }
> 
> - jeff parker
> - axiowave networks
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg